# Retrieve the app

`GET /v1/app`

Returns the app that the request's API key belongs to.

## Request

```bash
curl https://api.circuitry.company/v1/app \
  -H "Authorization: Bearer $CIRCUITRY_API_KEY"
```

## Response

```json
{
  "object": "app",
  "id": "j57bz9q3wv8c6m2kx4rt0hn7da8fq1se",
  "name": "Acme agents",
  "network": "mainnet"
}
```

| Field | Meaning |
| --- | --- |
| `object` | Always `app` |
| `id` | The app's ID, as the dashboard shows it |
| `name` | The app's name, which only you see |
| `network` | Always `mainnet` |

## Errors

This endpoint returns only the errors in [Failed authentication](/authentication#failed-authentication), and `internal_error`.
